Get configuration for tenant. - Fabric
Get configuration for tenant
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/configurations/target-config/{serviceName}/{processName} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/target-config/{serviceName}/{processName}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/target-config/{serviceName}/{processName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Possible Responses
- 200 OK
- 400 Bad Request
- 404 Not Found
- 500 Internal Server Error
Sample Response:
{
"serviceName": "order-service",
"processName": "order-create",
"tenantId": "asferf3r4safasdcd",
"targetService": [\
{\
"serviceName": "NOTIFICATION_SERVICE",
"serviceAttributes": {}\
}\
]
}
{
"message": "Bad Request"
}
{
"message": "Target Config not Found"
}
{
"message": "Internal Server Error"
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-site-context: string (required)
- The
x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
- Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Path Parameters
- serviceName: string (required)
- processName: string (required)
Response
- 200: application/json (Target Configuration updated)